import { BaseChartBuilder } from '../base-chart-builder';
export declare class LinearCategoryDataBuilder<TFactory extends BaseChartBuilder<TFactory, TData>, TData> {
    private _builder;
    constructor(_builder: TFactory);
    appendExtraData(converter: (x: TData) => any): LinearCategoryDataBuilder<TFactory, TData>;
    categoryFrom(categorySelector: (x: TData) => string): LinearCategoryDataBuilder<TFactory, TData>;
    seriesFrom(seriesSelector: (x: TData) => string): LinearCategoryDataBuilder<TFactory, TData>;
    valueFrom(valueSelector: (x: TData[]) => number): LinearCategoryDataBuilder<TFactory, TData>;
    singleSerie(): LinearCategoryDataBuilder<TFactory, TData>;
    roundValues(decimalPlaces: number): LinearCategoryDataBuilder<TFactory, TData>;
    get chart(): TFactory;
}
